Open CASCADE Technology: GCE2d_MakeTranslation Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GCE2d_MakeTranslation Class Reference

This class implements elementary construction algorithms for a translation in 2D space. The result is a Geom2d_Transformation transformation. A MakeTranslation object provides a framework for: More...

`#include <GCE2d_MakeTranslation.hxx>`

## Public Member Functions
| GCE2d_MakeTranslation (const gp_Vec2d &Vect)
| Constructs a translation along the vector Vect. More...
| GCE2d_MakeTranslation (const gp_Pnt2d &Point1, const gp_Pnt2d &Point2)
| Constructs a translation along the vector (Point1,Point2) defined from the point Point1 to the point Point2. More...
const Handle < Geom2d_Transformation > & | Value () const
| Returns the constructed transformation. More...
const Handle < Geom2d_Transformation > & | Operator () const
| operator Handle_Geom2d_Transformation () const

## Detailed Description

This class implements elementary construction algorithms for a translation in 2D space. The result is a Geom2d_Transformation transformation. A MakeTranslation object provides a framework for:

- defining the construction of the transformation,
- implementing the construction algorithm, and
- consulting the result.

## Constructor & Destructor Documentation

GCE2d_MakeTranslation::GCE2d_MakeTranslation | ( | const gp_Vec2d & | Vect | ) |

Constructs a translation along the vector Vect.

GCE2d_MakeTranslation::GCE2d_MakeTranslation | ( | const gp_Pnt2d & | Point1,
|  | const gp_Pnt2d & | Point2
| ) |  |

Constructs a translation along the vector (Point1,Point2) defined from the point Point1 to the point Point2.

## Member Function Documentation

const Handle< Geom2d_Transformation >& GCE2d_MakeTranslation::Operator | ( |  | ) | const

GCE2d_MakeTranslation::operator Handle_Geom2d_Transformation | ( |  | ) | const

const Handle< Geom2d_Transformation >& GCE2d_MakeTranslation::Value | ( |  | ) | const

Returns the constructed transformation.

The documentation for this class was generated from the following file:

- GCE2d_MakeTranslation.hxx